%define builtin_release_name Nahant Update 4
%define builtin_release_variant AS
%define builtin_release_version 4%{builtin_release_variant}
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}

%define product_family Red Hat Enterprise Linux
%if %{builtin_release_variant} == Desktop
%define product_family Red Hat
%endif

%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary: %{product_family} release file
Name: redhat-release
Version: %{real_release_version}
Release: 5.5
License: GPL
Group: System Environment/Base
%if %{builtin_release_variant} != common
Source: redhat-release-%{builtin_release_version}-RHEL4-U4.tar.gz
%else
Source: redhat-release-%{builtin_release_version}.tar.gz
%endif
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de
BuildRoot: %{_tmppath}/redhat-release-root
%if %{builtin_release_variant} == Desktop
ExcludeArch: ppc64 ppc s390 s390x ia64
%else
%if %{builtin_release_variant} == AS || %{builtin_release_variant} == common
ExcludeArch: ppc64
%else
ExcludeArch: ppc64 ppc s390 s390x
%endif
%endif
#Patch0: common-beta-key.patch

%description
%{product_family} release files

%prep
%setup -q -n redhat-release-%{builtin_release_version}
#patch0 -p1


%if %{builtin_release_variant} != common
%%build 
python -c "import py_compile; py_compile.compile('eula.py')"
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "%{product_family} %{builtin_release_variant} release 4 (%{real_release_name})" > $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/redhat-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

%if %{builtin_release_variant} != common
mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

mkdir -p $RPM_BUILD_ROOT/var/lib
cp %{current_arch}/supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/rhn
install -m 644 sources $RPM_BUILD_ROOT/etc/sysconfig/rhn
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
%if %{builtin_release_variant} != common
%doc %{current_arch}/R*
%dir /etc/sysconfig/rhn
%config(noreplace) /etc/sysconfig/rhn/sources
/var/lib/supportinfo
/usr/share/firstboot/modules/eula.py*
/usr/share/eula/eula.*
%endif
%doc EULA GPL autorun-template
%doc RPM-GPG-KEY
#%doc RPM-GPG-KEY-beta
